<?php
namespace Teknisa\ACL\Controllers;

use Teknisa\Libs\Controller\CRUD;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;

class OperadorSenha extends CRUD {
    protected $dataSourceName = 'operador_senha';
    protected $entityManager;
    protected $newCode;

    public function __construct ($crudService, $environment, $entityManager, $newCode)
    {
        $this->entityManager = $entityManager;
        $this->newCode       = $newCode;

        $this->crudService = $crudService;
        $this->environment = $environment;
    }

    public function save(Request $request, Response $response) {
        $row = $request->getDataSet()->getRows();
        $row = $row[0];
        
        $senha = $row["CDSENHAOPERWEB"];
        $row["CDSENHAOPERWEB"] = md5($senha);
        
        parent::save($request, $response);
    }

    public function find(DTO\Request\Filter $request, DTO\Response $response) {
        $request->setParameter('dbname', 'operador');
        parent::find($request, $response);
    }
}
?>