<?php


namespace Teknisa\ACL\Services;

use Teknisa\ACL\Util\InstanceProvider;
use Teknisa\ACL\Util\AclUtilities;
use Teknisa\ACL\Util\Messages;
use Teknisa\ACL\Repositories\Crud;
use Teknisa\Libs\Util\Utilities as LibUtilities;
use Zeedhi\Framework\Remote\FileUploader\Server;

class SqlLogs{

    public function findSqlLogs($conditions, $pageSize, $page, $orderBy){
        $sqlLogsRepository = InstanceProvider::getRepository()->getSqlLogsRepository();
        $limit = $page * $pageSize;
        $offset = ($page - 1) * $pageSize;
        $orderByString = '';
        foreach($orderBy as $idx => $order) {
            $orderByString .= ' ORDER BY ' . $idx . ' ' . $order;
        }


        $filters = AclUtilities::createQueryFiltered($conditions);
        return  $sqlLogsRepository->findSqlLogs($filters, $limit, $offset, $orderByString);
    }

    public function findDbUser(){
        $sqlLogsRepository = InstanceProvider::getRepository()->getSqlLogsRepository();

        return $sqlLogsRepository->findDbUser();
    }
}